import type {ReactNode} from 'react';
import clsx from 'clsx';
import Heading from '@theme/Heading';
import styles from './styles.module.css';

type FeatureItem = {
  title: string;
  description: ReactNode;
};

const FeatureList: FeatureItem[] = [
  {
    title: 'Nagyon magyar',
    description: (
      <>
        Az Astro Lang egy magyaroktól magyaroknak készült programozási nyelv.
      </>
    ),
  },
  {
    title: 'Miért jó?',
    description: (
      <>
        Az Astro Lang-el, megcsináltuk, hogy a programozás ne csak fárasztó, de fájdalmas is legyen.
      </>
    ),
  },
  {
    title: 'Mittom én',
    description: (
      <>
        Nem tudom ide már mit yappeljek, inkább próbáld ki, és nézd meg magad!
      </>
    ),
  },
];

function Feature({title, description}: FeatureItem) {
  return (
    <div className={clsx('col col--4')}>
      <div className="text--center padding-horiz--md">
        <Heading as="h3">{title}</Heading>
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function HomepageFeatures(): ReactNode {
  return (
    <section className={styles.features}>
      <div className="container">
        <div className="row">
          {FeatureList.map((props, idx) => (
            <Feature key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
