---
sidebar_position: 2
description: Az Astro Lang synatx bemutatása
---

# Syntax

---

## Típusok:
|Típus neve|Magyar neve|Leírása|Példa|
|---|---|---|---|
|String|Szöveg|Minden ami szöveg.|`szaft"test"szaft`|
|Number|Szám|Minden ami szám.|`2, 3.14, -5`|
|Identifier|Azonosító|A változók, dolgok neve/azonosítója, több szót is támogat. Fontos: szám nem lehet a szavak elején, mert az már számnak számít!|`teszt, több szót is támogat, ez is jo72`|
|Operator|Művelet|Minden ami művelet.|`+, -, *`|
|Keyword|Kulcsszó|Azok az azonosítók amelyek valamilyen funkciót látnak el a programnyelben.|`gethelj, lőcsve, ha geny`|
|Separator|Elválasztó|Olyan karakterek, melyek elválaszják a többi típust egymástól.|`=, (, {`|

Példa:
```asl
gethelj a = 15 + 2
^       ^ ^ ^  ^ ^ Number
|       | | |  | Operator
|       | | | Number
|       | | Separator
|       | Identifier
| Keyword
```

## Egyéb:
### Komment:
Ezek nem befolyásolják a kód futását, csak leírást adnak arról, hogy mi mit csinál.
- Egysoros kommentet így tudsz létrehozni: `//komment`
- Többsoros kommentet pedig így: `/*komment*/`
### Logikai érték:
:::info

A nyelv ezeket kulcsszóként kezeli!

:::
Igaz (piszv) vagy hamis (nem piszv)
### Semmi:
:::info

A nyelv ezt is kulcsszóként kezeli!

:::
Null (nincs hám)